[arch-commits] Commit in (7 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu Mar 5 18:08:55 UTC 2009


    Date: Thursday, March 5, 2009 @ 13:08:55
  Author: andyrtr
Revision: 29127

new pkg hddtemp moved in from community

Added:
  hddtemp/
  hddtemp/repos/
  hddtemp/trunk/
  hddtemp/trunk/ChangeLog
  hddtemp/trunk/PKGBUILD
  hddtemp/trunk/hddtemp
  hddtemp/trunk/hddtemp.confd

---------------+
 ChangeLog     |   11 +++++++++++
 PKGBUILD      |   39 +++++++++++++++++++++++++++++++++++++++
 hddtemp       |   39 +++++++++++++++++++++++++++++++++++++++
 hddtemp.confd |    2 ++
 4 files changed, 91 insertions(+)

Added: hddtemp/trunk/ChangeLog
===================================================================
--- hddtemp/trunk/ChangeLog	                        (rev 0)
+++ hddtemp/trunk/ChangeLog	2009-03-05 18:08:55 UTC (rev 29127)
@@ -0,0 +1,11 @@
+2008-01-23 Roman Kyrylych <roman at archlinux.org>
+* Updated to v38 of Debian's patchset
+
+2007-11-30 Roman Kyrylych <roman at archlinux.org>
+* Backup /etc/conf.d/hddtemp
+
+2007-11-09 Roman Kyrylych <roman at archlinux.org>
+* Updated to v37 of Debian's patchset
+
+2007-06-26 tardo <tardo at nagi-fanboi.net>
+* Built for x86_64

Added: hddtemp/trunk/PKGBUILD
===================================================================
--- hddtemp/trunk/PKGBUILD	                        (rev 0)
+++ hddtemp/trunk/PKGBUILD	2009-03-05 18:08:55 UTC (rev 29127)
@@ -0,0 +1,39 @@
+# $Id$
+# Maintainer: Andrea Scarpino <bash at archlinux.it>
+# Contributor: Roman Kyrylych <roman at archlinux.org>
+# Contributor: Damir Perisa <damir at archlinux.org>
+
+pkgname=hddtemp
+pkgver=0.3.beta15.45
+_origver=0.3-beta15
+_patchver=45
+pkgrel=2
+pkgdesc="Gives you the temperature of your hard drive by reading S.M.A.R.T. information"
+arch=('i686' 'x86_64')
+url="http://www.guzu.net/linux/hddtemp.php"
+license=('GPL')
+depends=('glibc')
+backup=('etc/conf.d/hddtemp')
+source=(http://www.guzu.net/files/hddtemp-${_origver}.tar.bz2
+        http://ftp.debian.org/debian/pool/main/h/hddtemp/hddtemp_${_origver}-${_patchver}.diff.gz
+        'hddtemp' 'hddtemp.confd')
+md5sums=('8b829339e1ae9df701684ec239021bb8'
+         'a809a3a28d29ee719b2855af9b4eb1a8'
+         'b7ebb86dfeef3bc4577ed1040307e36b'
+         'fdca5c43900406f0be76534ef2a5a697')
+options=('!libtool')
+
+build() {
+  cd "$srcdir/$pkgname-${_origver}"
+
+  patch -Np1 -i "$srcdir/${pkgname}_${_origver}-${_patchver}.diff" || return 1
+
+  ./configure --prefix=/usr --mandir=/usr/share/man --with-db-path=/usr/share/$pkgname/hddtemp.db
+  make || return 1
+  make DESTDIR=$startdir/pkg install || return 1
+
+  install -D -m644 "$srcdir/$pkgname-${_origver}/debian/hddtemp.db" \
+    "$pkgdir/usr/share/${pkgname}/hddtemp.db" || return 1
+  install -D -m644 "$srcdir/hddtemp.confd" "$pkgdir/etc/conf.d/hddtemp" || return 1
+  install -D -m755 "$srcdir/hddtemp" "$pkgdir/etc/rc.d/hddtemp" || return 1
+}


Property changes on: hddtemp/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Added: hddtemp/trunk/hddtemp
===================================================================
--- hddtemp/trunk/hddtemp	                        (rev 0)
+++ hddtemp/trunk/hddtemp	2009-03-05 18:08:55 UTC (rev 29127)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PARAMS=
+DRIVES=
+[ -f /etc/conf.d/hddtemp ] && . /etc/conf.d/hddtemp
+PID=$(pidof -o %PPID /usr/sbin/hddtemp)
+case "$1" in
+  start)
+    stat_busy "Starting HDDTemp"
+    [ -z "$PID" ] && /usr/sbin/hddtemp -d $PARAMS $DRIVES
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon hddtemp
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping HDDTemp"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon hddtemp
+      stat_done
+    fi 
+    ;;
+  restart)
+    $0 stop
+    sleep 2
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Added: hddtemp/trunk/hddtemp.confd
===================================================================
--- hddtemp/trunk/hddtemp.confd	                        (rev 0)
+++ hddtemp/trunk/hddtemp.confd	2009-03-05 18:08:55 UTC (rev 29127)
@@ -0,0 +1,2 @@
+PARAMS="-q -l 127.0.0.1"
+DRIVES="/dev/sda"




More information about the arch-commits mailing list